"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ConfigurationBase_1 = tslib_1.__importDefault(require("../common/ConfigurationBase"));
const constants_1 = require("../common/utils/constants");
const constants_2 = require("./utils/constants");
/**
 * The configuration for the server based on sql database.
 *
 * @export
 * @class SqlBlobConfiguration
 * @extends {ConfigurationBase}
 */
class SqlBlobConfiguration extends ConfigurationBase_1.default {
    constructor(host = constants_2.DEFAULT_BLOB_SERVER_HOST_NAME, port = constants_2.DEFAULT_BLOB_LISTENING_PORT, sqlURL, sequelizeOptions = constants_1.DEFAULT_SQL_OPTIONS, persistenceArray = constants_2.DEFAULT_BLOB_PERSISTENCE_ARRAY, enableAccessLog = constants_2.DEFAULT_ENABLE_ACCESS_LOG, accessLogWriteStream, enableDebugLog = constants_2.DEFAULT_ENABLE_DEBUG_LOG, debugLogFilePath, loose = false, skipApiVersionCheck = false, cert = "", key = "", pwd = "", oauth, disableProductStyleUrl = false) {
        super(host, port, enableAccessLog, accessLogWriteStream, enableDebugLog, debugLogFilePath, loose, skipApiVersionCheck, cert, key, pwd, oauth, disableProductStyleUrl);
        this.sqlURL = sqlURL;
        this.sequelizeOptions = sequelizeOptions;
        this.persistenceArray = persistenceArray;
    }
}
exports.default = SqlBlobConfiguration;
//# sourceMappingURL=SqlBlobConfiguration.js.map