"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const vscode_1 = require("vscode");
class VSCChannelWriteStream extends stream_1.Writable {
    /**
     * Creates an instance of VSCChannelWriteStream.
     *
     * @param {string} channelName Log to specific channel
     * @memberof VSCChannelWriteStream
     */
    constructor(channelName) {
        super();
        this.channelName = channelName;
        this.channel = vscode_1.window.createOutputChannel(channelName);
    }
    _write(chunk, encoding, callback) {
        this.channel.append(typeof chunk === "string" ? chunk : chunk.toString());
        callback();
    }
}
exports.default = VSCChannelWriteStream;
//# sourceMappingURL=VSCChannelWriteStream.js.map