"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VSCServerManagerRunningState_1 = require("./VSCServerManagerRunningState");
class VSCServerManagerClosedState {
    async start(serverManager) {
        await serverManager.createImpl();
        await serverManager.startImpl();
        return new VSCServerManagerRunningState_1.VSCServerManagerRunningState();
    }
    async close(serverManager) {
        throw new Error(`Cannot close server. ${serverManager.name} is already closed.`);
    }
    async clean(serverManager) {
        await serverManager.cleanImpl();
        return new VSCServerManagerClosedState();
    }
}
exports.default = VSCServerManagerClosedState;
//# sourceMappingURL=VSCServerManagerClosedState.js.map