"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VSCServerManagerRunningState = void 0;
const tslib_1 = require("tslib");
const VSCServerManagerClosedState_1 = tslib_1.__importDefault(require("./VSCServerManagerClosedState"));
class VSCServerManagerRunningState {
    async start(serverManager) {
        throw new Error(`Cannot start server. ${serverManager.name} is already running.`);
    }
    async close(serverManager) {
        await serverManager.closeImpl();
        return new VSCServerManagerClosedState_1.default();
    }
    async clean(serverManager) {
        throw new Error(`Cannot clean server. ${serverManager.name} is running. Please close before cleaning up.`);
    }
}
exports.VSCServerManagerRunningState = VSCServerManagerRunningState;
//# sourceMappingURL=VSCServerManagerRunningState.js.map