"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const StorageError_1 = tslib_1.__importDefault(require("./StorageError"));
/**
 * Create customized error types by inheriting ServerError
 *
 * @export
 * @class UnimplementedError
 * @extends {StorageError}
 */
class NotImplementedError extends StorageError_1.default {
    constructor(requestID = "") {
        super(500, "APINotImplemented", "Current API is not implemented yet. Please vote your wanted features to https://github.com/azure/azurite/issues", requestID);
    }
}
exports.default = NotImplementedError;
//# sourceMappingURL=NotImplementedError.js.map