"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VALID_QUEUE_AUDIENCES = exports.ValidAPIVersions = exports.DEFAULT_QUEUE_PERSISTENCE_ARRAY = exports.QUEUE_STATUSCODE = exports.SECONDARY_SUFFIX = exports.HeaderConstants = exports.MethodConstants = exports.EMPTY_EXTENT_CHUNK = exports.UPDATE_VISIBILITYTIMEOUT_MAX = exports.UPDATE_VISIBILITYTIMEOUT_MIN = exports.DEFUALT_UPDATE_VISIBILITYTIMEOUT = exports.MESSAGETTL_MIN = exports.ENQUEUE_VISIBILITYTIMEOUT_MAX = exports.ENQUEUE_VISIBILITYTIMEOUT_MIN = exports.DEFUALT_MESSAGETTL = exports.MESSAGETEXT_LENGTH_MAX = exports.DEQUEUE_NUMOFMESSAGES_MAX = exports.DEQUEUE_NUMOFMESSAGES_MIN = exports.DEQUEUE_VISIBILITYTIMEOUT_MAX = exports.DEQUEUE_VISIBILITYTIMEOUT_MIN = exports.DEFUALT_DEQUEUE_VISIBILITYTIMEOUT = exports.LIST_QUEUE_MAXRESSULTS_MAX = exports.LIST_QUEUE_MAXRESSULTS_MIN = exports.QUEUE_SERVICE_PERMISSION = exports.NEVER_EXPIRE_DATE = exports.DEFAULT_GC_INTERVAL_MS = exports.LOGGER_CONFIGS = exports.DEFAULT_QUEUE_CONTEXT_PATH = exports.DEFAULT_ENABLE_ACCESS_LOG = exports.DEFAULT_ACCESS_LOG_PATH = exports.DEFAULT_ENABLE_DEBUG_LOG = exports.DEFAULT_DEBUG_LOG_PATH = exports.DEFAULT_QUEUE_PERSISTENCE_PATH = exports.DEFAULT_QUEUE_EXTENT_LOKI_DB_PATH = exports.DEFAULT_QUEUE_LOKI_DB_PATH = exports.IS_PRODUCTION = exports.DEFAULT_QUEUE_LISTENING_PORT = exports.DEFAULT_QUEUE_SERVER_HOST_NAME = exports.QUEUE_API_VERSION = exports.VERSION = void 0;
exports.VERSION = "3.23.0";
exports.QUEUE_API_VERSION = "2022-11-02";
exports.DEFAULT_QUEUE_SERVER_HOST_NAME = "127.0.0.1"; // Change to 0.0.0.0 when needs external access
exports.DEFAULT_QUEUE_LISTENING_PORT = 10001;
exports.IS_PRODUCTION = process.env.NODE_ENV === "production";
exports.DEFAULT_QUEUE_LOKI_DB_PATH = "__azurite_db_queue__.json";
exports.DEFAULT_QUEUE_EXTENT_LOKI_DB_PATH = "__azurite_db_queue_extent__.json";
exports.DEFAULT_QUEUE_PERSISTENCE_PATH = "__queuestorage__";
exports.DEFAULT_DEBUG_LOG_PATH = "./debug.log";
exports.DEFAULT_ENABLE_DEBUG_LOG = true;
exports.DEFAULT_ACCESS_LOG_PATH = "./access.log";
exports.DEFAULT_ENABLE_ACCESS_LOG = true;
exports.DEFAULT_QUEUE_CONTEXT_PATH = "azurite_queue_context";
exports.LOGGER_CONFIGS = {};
exports.DEFAULT_GC_INTERVAL_MS = 60 * 1000;
exports.NEVER_EXPIRE_DATE = new Date("9999-12-31T23:59:59.999Z");
exports.QUEUE_SERVICE_PERMISSION = "raup";
exports.LIST_QUEUE_MAXRESSULTS_MIN = 1;
exports.LIST_QUEUE_MAXRESSULTS_MAX = 2147483647;
exports.DEFUALT_DEQUEUE_VISIBILITYTIMEOUT = 30; // 30s as default.
exports.DEQUEUE_VISIBILITYTIMEOUT_MIN = 1;
exports.DEQUEUE_VISIBILITYTIMEOUT_MAX = 604800;
exports.DEQUEUE_NUMOFMESSAGES_MIN = 1;
exports.DEQUEUE_NUMOFMESSAGES_MAX = 32;
exports.MESSAGETEXT_LENGTH_MAX = 65536;
exports.DEFUALT_MESSAGETTL = 604800; // 604800s (7 day) as default.
exports.ENQUEUE_VISIBILITYTIMEOUT_MIN = 0;
exports.ENQUEUE_VISIBILITYTIMEOUT_MAX = 604800;
exports.MESSAGETTL_MIN = 1;
exports.DEFUALT_UPDATE_VISIBILITYTIMEOUT = 30; // 30s as default.
exports.UPDATE_VISIBILITYTIMEOUT_MIN = 0;
exports.UPDATE_VISIBILITYTIMEOUT_MAX = 604800;
exports.EMPTY_EXTENT_CHUNK = { id: "", offset: 0, count: 0 };
exports.MethodConstants = {
    OPTIONS: "OPTIONS"
};
exports.HeaderConstants = {
    AUTHORIZATION: "authorization",
    AUTHORIZATION_SCHEME: "Bearer",
    CONTENT_ENCODING: "content-encoding",
    CONTENT_LANGUAGE: "content-language",
    CONTENT_LENGTH: "content-length",
    CONTENT_MD5: "content-md5",
    CONTENT_TYPE: "content-type",
    COOKIE: "Cookie",
    DATE: "date",
    IF_MATCH: "if-match",
    IF_MODIFIED_SINCE: "if-modified-since",
    IF_NONE_MATCH: "if-none-match",
    IF_UNMODIFIED_SINCE: "if-unmodified-since",
    PREFIX_FOR_STORAGE: "x-ms-",
    RANGE: "Range",
    USER_AGENT: "User-Agent",
    X_MS_CLIENT_REQUEST_ID: "x-ms-client-request-id",
    X_MS_DATE: "x-ms-date",
    SERVER: "Server",
    X_MS_META: "x-ms-meta-",
    ORIGIN: "origin",
    VARY: "Vary",
    ACCESS_CONTROL_EXPOSE_HEADERS: "Access-Control-Expose-Headers",
    ACCESS_CONTROL_ALLOW_ORIGIN: "Access-Control-Allow-Origin",
    ACCESS_CONTROL_ALLOW_CREDENTIALS: "Access-Control-Allow-Credentials",
    ACCESS_CONTROL_ALLOW_METHODS: "Access-Control-Allow-Methods",
    ACCESS_CONTROL_ALLOW_HEADERS: "Access-Control-Allow-Headers",
    ACCESS_CONTROL_MAX_AGE: "Access-Control-Max-Age",
    ACCESS_CONTROL_REQUEST_METHOD: "access-control-request-method",
    ACCESS_CONTROL_REQUEST_HEADERS: "access-control-request-headers",
    X_MS_VERSION: "x-ms-version"
};
exports.SECONDARY_SUFFIX = "-secondary";
var QUEUE_STATUSCODE;
(function (QUEUE_STATUSCODE) {
    QUEUE_STATUSCODE[QUEUE_STATUSCODE["CREATED"] = 201] = "CREATED";
    QUEUE_STATUSCODE[QUEUE_STATUSCODE["NOCONTENT"] = 204] = "NOCONTENT";
})(QUEUE_STATUSCODE = exports.QUEUE_STATUSCODE || (exports.QUEUE_STATUSCODE = {}));
exports.DEFAULT_QUEUE_PERSISTENCE_ARRAY = [
    {
        locationId: "Default",
        locationPath: exports.DEFAULT_QUEUE_PERSISTENCE_PATH,
        maxConcurrency: 1
    }
];
exports.ValidAPIVersions = [
    "2022-11-02",
    "2021-12-02",
    "2021-10-04",
    "2021-08-06",
    "2021-06-08",
    "2021-04-10",
    "2021-02-12",
    "2020-12-06",
    "2020-10-02",
    "2020-08-04",
    "2020-06-12",
    "2020-04-08",
    "2020-02-10",
    "2019-12-12",
    "2019-10-10",
    "2019-07-07",
    "2019-02-02",
    "2018-11-09",
    "2018-03-28",
    "2017-11-09",
    "2017-07-29",
    "2017-04-17",
    "2016-05-31",
    "2015-12-11",
    "2015-07-08",
    "2015-04-05",
    "2015-02-21",
    "2014-02-14",
    "2013-08-15",
    "2012-02-12",
    "2011-08-18",
    "2009-09-19",
    "2009-07-17",
    "2009-04-14"
];
// Validate audience, accept following audience patterns
// https://storage.azure.com
// https://storage.azure.com/
// e406a681-f3d4-42a8-90b6-c2b029497af1
// https://*.queue.core.windows.net
// https://*.queue.core.windows.net/
// https://*.queue.core.chinacloudapi.cn
// https://*.queue.core.chinacloudapi.cn/
// https://*.queue.core.usgovcloudapi.net
// https://*.queue.core.usgovcloudapi.net/
// https://*.queue.core.cloudapi.de
// https://*.queue.core.cloudapi.de/
exports.VALID_QUEUE_AUDIENCES = [
    /^https:\/\/storage\.azure\.com[\/]?$/,
    /^e406a681-f3d4-42a8-90b6-c2b029497af1$/,
    /^https:\/\/(.*)\.queue\.core\.windows\.net[\/]?$/,
    /^https:\/\/(.*)\.queue\.core\.chinacloudapi\.cn[\/]?$/,
    /^https:\/\/(.*)\.queue\.core\.usgovcloudapi\.net[\/]?$/,
    /^https:\/\/(.*)\.queue\.core\.cloudapi\.de[\/]?$/
];
//# sourceMappingURL=constants.js.map