"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isURITemplateMatch = void 0;
const tslib_1 = require("tslib");
const uri_templates_1 = tslib_1.__importDefault(require("uri-templates"));
function isURITemplateMatch(url, template) {
    const uriTemplate = (0, uri_templates_1.default)(template);
    // TODO: Fixing $ parsing issue such as $logs container cannot work in strict mode issue
    const result = uriTemplate.fromUri(url, { strict: false });
    if (result === undefined) {
        return false;
    }
    for (const key in result) {
        if (result.hasOwnProperty(key)) {
            const element = result[key];
            if (element === "") {
                return false;
            }
        }
    }
    return true;
}
exports.isURITemplateMatch = isURITemplateMatch;
//# sourceMappingURL=utils.js.map