"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const QueryStateName_1 = require("./QueryStateName");
const QueryTranscriber_1 = tslib_1.__importDefault(require("./QueryTranscriber"));
/**
 * provides a facade over the QueryTranscriber to hide state
 * implementation from callers
 *
 * @export
 * @class LokiJsQueryTranscriber
 * @extends {QueryTranscriber}
 */
class LokiJsQueryTranscriber extends QueryTranscriber_1.default {
    constructor(queryContext, name) {
        super(queryContext, name);
    }
    /**
     * Starts the statemachine without the need to know what states were used
     *
     * @memberof LokiJsQueryTranscriber
     */
    transcribe() {
        this.setState(QueryStateName_1.QueryStateName.QueryStarted);
    }
}
exports.default = LokiJsQueryTranscriber;
//# sourceMappingURL=LokiJsQueryTranscriber.js.map