"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This object contains the state of the query
 * as it undergoes transcription processing
 *
 * @export
 * @class QueryContext
 */
class QueryContext {
    constructor(queryString, isTableQuery = false) {
        this.currentPos = 0;
        // the original query string passed into the transcriber
        this.originalQuery = "";
        // a collection of predicates which are used in the query function
        this.taggedPredicates = [];
        // represents the current predicate that is being processed
        this.currentPredicate = 0;
        this.transcribedQuery = "";
        this.stateQueue = [];
        this.isTableQuery = false;
        this.originalQuery = queryString;
        this.isTableQuery = isTableQuery;
    }
}
exports.default = QueryContext;
//# sourceMappingURL=QueryContext.js.map